<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/theme_white_color">

    <LinearLayout
        android:id="@+id/ll_meals"
        android:layout_width="match_parent"
        android:layout_height="@dimen/dp_250"
        android:orientation="vertical">

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp_30"
            android:background="@color/theme_color"
            android:orientation="horizontal">

            <TextView
                android:id="@+id/tv_sold_hmmc"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/dp_20"
                android:layout_marginTop="@dimen/dp_5"
                android:text="項目名稱"
                android:textAppearance="?android:attr/textAppearanceMedium"
                android:textColor="@color/theme_white_color" />

            <TextView
                android:id="@+id/tv_sold_hmsl"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentRight="true"
                android:layout_marginTop="@dimen/dp_5"
                android:layout_marginRight="@dimen/dp_20"
                android:text="數量"
                android:textAppearance="?android:attr/textAppearanceMedium"
                android:textColor="@color/theme_white_color" />
        </RelativeLayout>

<!--        <LinearLayout-->
<!--            android:id="@+id/ll_meals_main"-->
<!--            android:layout_width="match_parent"-->
<!--            android:layout_height="0dp"-->
<!--            android:layout_weight="1">-->

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/recycle_current_soldout_food"
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:layout_weight="1"
                android:divider="@null"
                app:spanCount="1"
                app:layoutManager="com.gingersoft.gsa.cloud.ui.recylcler.RecyclerViewNoBugLinearLayoutManager" />
<!--        </LinearLayout>-->
    </LinearLayout>

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_below="@+id/ll_meals"
        android:layout_marginBottom="@dimen/dp_35"
        android:orientation="vertical">

        <LinearLayout
            android:id="@+id/ll_food_group"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/recycle_food_group"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:divider="@null"
                android:fadeScrollbars="false"
                android:orientation="vertical"  />

            <LinearLayout
                android:id="@+id/ll_food_group_point"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:orientation="horizontal"
                android:visibility="visible"  />
        </LinearLayout>

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/recycle_food"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_below="@+id/ll_food_group"/>

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/recycle_combo"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_below="@+id/ll_food_group"
            android:divider="@null"
            android:fadeScrollbars="false"
            android:orientation="vertical"
            android:visibility="invisible"
            app:spanCount="4"
            app:layoutManager="androidx.recyclerview.widget.GridLayoutManager"/>
    </RelativeLayout>


    <LinearLayout
        android:id="@+id/ll_fine_item"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_below="@+id/ll_meals"
        android:layout_above="@+id/ll_stand_oper"
        android:orientation="vertical"
        android:visibility="invisible">

        <RelativeLayout
            android:id="@+id/rl_tabs"
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp_40"
            android:background="@color/theme_background_color">

            <ImageView
                android:id="@+id/iv_fine_item_back"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:layout_marginLeft="@dimen/normal_space"
                android:contentDescription="@string/app_name"
                android:src="@drawable/ic_black_back"
                android:visibility="visible" />

            <com.qmuiteam.qmui.widget.tab.QMUITabSegment
                android:id="@+id/tabSegment"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:layout_centerInParent="true"
                android:background="@drawable/shape_tab_panel_bg"/>
        </RelativeLayout>

        <androidx.viewpager.widget.ViewPager
            android:id="@+id/contentViewPager"
            android:layout_width="match_parent"
            android:layout_height="match_parent" />
    </LinearLayout>

    <LinearLayout
        android:id="@+id/ll_stand_oper"
        android:layout_width="match_parent"
        android:layout_height="@dimen/dp_38"
        android:layout_alignParentLeft="true"
        android:layout_alignParentRight="true"
        android:layout_alignParentBottom="true">

        <com.qmuiteam.qmui.alpha.QMUIAlphaTextView
            android:id="@+id/tv_soldout"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_alignParentLeft="true"
            android:layout_weight="1"
            android:background="@color/theme_color"
            android:gravity="center"
            android:text="沽清控制--食品"
            android:textAppearance="?android:attr/textAppearanceLarge"
            android:textColor="@color/theme_white_color"
            android:textSize="@dimen/sp_16" />

        <com.qmuiteam.qmui.alpha.QMUIAlphaTextView
            android:id="@+id/tv_restore"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_alignParentLeft="true"
            android:layout_weight="1"
            android:background="#D10035"
            android:gravity="center"
            android:text="恢復所有"
            android:textAppearance="?android:attr/textAppearanceLarge"
            android:textColor="@color/theme_white_color"
            android:textSize="@dimen/sp_18"
            android:visibility="visible"/>

        <com.qmuiteam.qmui.alpha.QMUIAlphaTextView
            android:id="@+id/tv_return"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:background="@color/theme_hint_color"
            android:gravity="center"
            android:text="返    回"
            android:textAppearance="?android:attr/textAppearanceLarge"
            android:textColor="@color/theme_white_color"
            android:textSize="@dimen/sp_18" />
    </LinearLayout>
</RelativeLayout>